Package org.apache.sysds.parser

# Class ParameterExpression

java.lang.Object
org.apache.sysds.parser.ParameterExpression

public class ParameterExpression extends Object

## Constructor Summary

Constructors
Constructor
Description
`ParameterExpression(String name, Expression val)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`getExpr()`
`String`
`getName()`
`void`
`setExpr(Expression expr)`
`void`
`setName(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParameterExpression

public ParameterExpression(String name, Expression val)

## Method Details

### getName

public String getName()

### getExpr

public Expression getExpr()

### setName

public void setName(String name)

### setExpr

public void setExpr(Expression expr)

### toString

public String toString()

Overrides:
  `toString` in class `Object`